Bug 1562027 - CVE-2018-7158 CVE-2018-7159 CVE-2018-7160 nodejs: various flaws [fedora-all]
Summary: CVE-2018-7158 CVE-2018-7159 CVE-2018-7160 nodejs: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-7160 CVE-2018-7158 CVE-2018-7159
TreeView+ depends on / blocked
 
Reported: 2018-03-29 12:06 UTC by Adam Mariš
Modified: 2018-05-05 19:04 UTC (History)
9 users (show)

Fixed In Version: nodejs-8.11.0-1.fc27 nodejs-6.14.0-1.fc26 nodejs-8.11.0-1.fc28 nodejs-8-20180328183715.c2c572ec nodejs-9-20180405175619.c7b355af nodejs-6-20180328185917.c2c572ec
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-03 14:51:11 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Mariš 2018-03-29 12:06:50 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2018-03-29 12:06:57 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1561979,1561980,1561981,1562027

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-03-29 12:19:46 UTC
nodejs-6.14.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e672eaf4df

Comment 3 Fedora Update System 2018-03-29 12:19:59 UTC
nodejs-8.11.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8049b2c488

Comment 4 Fedora Update System 2018-03-29 12:20:10 UTC
libuv-1.19.2-1.fc27 nodejs-8.11.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ecf73042e3

Comment 5 Fedora Update System 2018-03-29 12:20:20 UTC
nodejs-6-20180328185917.c2c572ec has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-8cf4ac205f

Comment 6 Fedora Update System 2018-03-29 12:20:28 UTC
nodejs-8-20180328183715.c2c572ec has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-15cea019fd

Comment 7 Fedora Update System 2018-03-29 12:20:43 UTC
nodejs-9-20180328183609.c2c572ec has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-996b44517a

Comment 8 Fedora Update System 2018-03-29 13:07:41 UTC
nodejs-9-20180328183609.c2c572ec has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-996b44517a

Comment 9 Fedora Update System 2018-03-29 13:07:46 UTC
nodejs-8-20180328183715.c2c572ec has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-15cea019fd

Comment 10 Fedora Update System 2018-03-29 13:07:50 UTC
nodejs-6-20180328185917.c2c572ec has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-8cf4ac205f

Comment 11 Fedora Update System 2018-03-29 13:57:34 UTC
nodejs-8.11.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8049b2c488

Comment 12 Fedora Update System 2018-03-29 16:47:37 UTC
nodejs-6.14.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e672eaf4df

Comment 13 Fedora Update System 2018-03-29 17:57:26 UTC
libuv-1.19.2-1.fc27, nodejs-8.11.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ecf73042e3

Comment 14 Fedora Update System 2018-04-03 14:51:11 UTC
libuv-1.19.2-1.fc27, nodejs-8.11.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-04-05 20:17:59 UTC
nodejs-9-20180405175619.c7b355af has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-996b44517a

Comment 16 Fedora Update System 2018-04-06 14:37:05 UTC
nodejs-6.14.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-04-09 13:24:03 UTC
nodejs-8.11.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-04-11 14:02:37 UTC
nodejs-9-20180405175619.c7b355af has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-996b44517a

Comment 19 Fedora Update System 2018-04-20 14:43:11 UTC
nodejs-9-20180405175619.c7b355af has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-996b44517a

Comment 20 Fedora Update System 2018-04-23 19:01:29 UTC
nodejs-9-20180405175619.c7b355af has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-996b44517a

Comment 21 Fedora Update System 2018-04-26 20:46:54 UTC
nodejs-8-20180328183715.c2c572ec has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-05-03 10:21:43 UTC
nodejs-9-20180405175619.c7b355af has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-05-05 19:04:08 UTC
nodejs-6-20180328185917.c2c572ec has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.